Name: qcdnum
Version:       17.01.16
Release:       1%{?dist}
License:       GPLv3
Prefix: %{_prefix}
Summary:  QCDNUM is a very fast QCD evolution program written in FORTRAN77. 
Source:       https://www.nikhef.nl/~h24/download/qcdnum170116.tar.gz
BuildRequires: gcc-gfortran gcc-c++

%description
QCDNUM numerically solves the DGLAP evolution equations on a discrete
 grid in x and Q2. You can evolve unpolarised parton density functions
  in NNLO, and polarised pdfs or fragmentation functions in NLO. 
%prep 
%setup -q -n qcdnum-17-01-16
%build 
%if %{?fedora}%{!?fedora:0} >= 31
export FFLAGS='-std=legacy  -fallow-argument-mismatch'
export FCLAGS='-std=legacy  -fallow-argument-mismatch'
%else
export FFLAGS='-std=legacy'
export FCLAGS='-std=legacy'
%endif

./configure --prefix=/usr --libdir=/usr/%_lib
make

%install 
%make_install
%files
%defattr(-,root,root)
/usr/bin/*
/usr/%_lib/*
/usr/include/*
/usr/share/doc/qcdnum/README
%clean
rm -rf %{buildroot}

%post 
ldconfig 

%changelog             
*  Wed Feb 26 2020 Andrii Verbytskyi <andrii.verbytskyi@mpp.mpg.de>
 - 17.01.16
*  Fri Nov 29 2019 Andrii Verbytskyi <andrii.verbytskyi@mpp.mpg.de>
 - Initial
